Page MenuHomePhabricator

Upgrade SWAP's JupyterLab from beta 1 to beta 2
Closed, ResolvedPublic2 Estimated Story Points

Description

When @Ottomata refreshed the SWAP hardware (T183145), he very helpfully installed the beta JupyterLab interface, which will eventually replace the classic Jupyter interface.

I (@Neil_P._Quinn_WMF), @mpopov, @chelsyx have switched entirely to JupyterLab.

We're currently running beta 1 (v.0.31.12), but beta 2 (v.0.32) has now been released.

Since this is beta software, upgrading is likely to have a high value improvements and bugfixes.

Event Timeline

Since the dependencies are installed in each user's personal virtualenv, you can actually do this yourself in the Jupyter CLI. Launch a terminal in Jupyter and then do

pip install --upgrade jupyterlab

I will update the dependencies for new virtual environments. Existing ones will need to run this command. I could run it manually for all, but I don't want to break anyone's existing usage.

Change 443669 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[analytics/jupyterhub/deploy@master] Updating wheels with Apache toree 0.2.0 rc5, and jupyterlab 0.32.1

https://gerrit.wikimedia.org/r/443669

Change 443669 merged by Ottomata:
[analytics/jupyterhub/deploy@master] Updating wheels with Apache toree 0.2.0 rc5, and jupyterlab 0.32.1

https://gerrit.wikimedia.org/r/443669

nshahquinn-wmf renamed this task from Upgrade SWAP's JupyterLab from to Upgrade SWAP's JupyterLab from beta 1 to beta 2.Jul 3 2018, 7:37 PM
nshahquinn-wmf updated the task description. (Show Details)
nshahquinn-wmf added a subscriber: chelsyx.
nshahquinn-wmf updated the task description. (Show Details)EditedJul 3 2018, 7:40 PM
nshahquinn-wmf added a subscriber: mpopov.

Since the dependencies are installed in each user's personal virtualenv, you can actually do this yourself in the Jupyter CLI. Launch a terminal in Jupyter and then do

pip install --upgrade jupyterlab

I will update the dependencies for new virtual environments. Existing ones will need to run this command. I could run it manually for all, but I don't want to break anyone's existing usage.

Oh, cool—I didn't realize that! I can definitely upgrade myself manually.

Long term, I wonder if the ideal is users upgrading themselves or a force upgrade for everyone—a product manager might have an existing virtual environment and so not be caught by your automatic upgrade, but never realize the need for upgrading the interface and so get stuck on an old version.

Since the dependencies are installed in each user's personal virtualenv, you can actually do this yourself in the Jupyter CLI. Launch a terminal in Jupyter and then do

pip install --upgrade jupyterlab

I might be missing something obvious, but once I've done that, how do I restart my JupyterLab instance? I don't see anything in the menus in the GUI and while I can see from top that my user has a jupyterhub-sing process running, I don't know how to access it.

In T198738#4396393, @Neil_P._Quinn_WMF wrote:

I might be missing something obvious, but once I've done that, how do I restart my JupyterLab instance? I don't see anything in the menus in the GUI and while I can see from top that my user has a jupyterhub-sing process running, I don't know how to access it.

Oh, I figured it out! Go to the classic interface (/user/{{username}}/tree), click on "control panel" in the top right, click "stop my server", and then click "my server" on the resulting page.

Apparently, this won't be supported for a while in the new interface.

Heya, as part of T190443 I've gone ahead and updated the JupyterLab dependency to 0.32.1 and installed this into all user venvs. Users will have to restart their jupyterhub process as you discovered, but it is there!

Ottomata set the point value for this task to 2.Jul 5 2018, 6:14 PM
Ottomata added a project: Analytics-Kanban.
Ottomata moved this task from Next Up to Done on the Analytics-Kanban board.
Nuria assigned this task to Ottomata.Jul 6 2018, 4:02 PM
Nuria closed this task as Resolved.Jul 12 2018, 5:33 PM

Change 451061 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[analytics/swap/deploy@master] Updating wheels with Apache toree 0.2.0 rc5, and jupyterlab 0.32.1

https://gerrit.wikimedia.org/r/451061

Change 451061 abandoned by Ottomata:
Updating wheels with Apache toree 0.2.0 rc5, and jupyterlab 0.32.1

Reason:
wrong repo

https://gerrit.wikimedia.org/r/451061